﻿param(
	[String]$Hour,
	[String]$Min
)

Disable-ScheduledTask -TaskName "Lockdown Setting Task" -AsJob
Unregister-ScheduledTask -TaskName "Lockdown Setting Task" -AsJob
Get-ScheduledTask

$taskName = "Lockdown Setting Task";
$taskAction = New-ScheduledTaskAction -Execute "c:\Windows\System32\shutdown.exe" -Argument "-s -t 30"
$taskTrigger = New-ScheduledTaskTrigger -DaysInterval 1 -Daily -At $Hour":"$Min
$taskSettings = New-ScheduledTaskSettingsSet -Compatibility Win8 -Hidden
$taskPrincipal = New-ScheduledTaskPrincipal -UserId "NT AUTHORITY\SYSTEM" `
  -LogonType ServiceAccount -RunLevel Highest

Register-ScheduledTask -TaskName $taskName `
  -Action $taskAction `
  -Settings $taskSettings `
  -Principal $taskPrincipal `
  -Trigger $taskTrigger 

